=== debian/changelog ===
proofgeneral (4.5-3) unstable; urgency=medium

  * Bump standards-version to 4.7.0.
  * Rebuild against newer dh-elpa (Closes: #1077126).

 -- Julien Puydt <jpuydt@debian.org>  Wed, 27 Nov 2024 18:28:17 +0100

proofgeneral (4.5-2) unstable; urgency=medium

  * Add missing Vcs-* fields in d/control.
  * Add missing debian/upstream/metadata.
  * Preparing for upload (Closes: #1077116).

 -- Julien Puydt <jpuydt@debian.org>  Tue, 17 Sep 2024 07:44:44 +0200

proofgeneral (4.5-1) unstable; urgency=medium

  * Fix d/watch.
  * Change maintainer&uploaders.
  * Switch from debhelper to debhelper-compat.
  * Bump standards-version to 4.6.2.
  * Don't depend on emacs-gtk (Closes: #951567).
  * Package new upstream release (Closes: #1030375, #917461, #1016815).
  * Declare d/rules doesn't require root.
  * Refresh patches.
  * Add a manpage for coqtags.

 -- Julien Puydt <jpuydt@debian.org>  Thu, 17 Aug 2023 14:37:53 +0200
