=== debian/control ===
Source: proofgeneral
Section: editors
Priority: optional
Maintainer: Debian Math Team <team+math@tracker.debian.org>
Uploaders: Julien Puydt <jpuydt@debian.org>
Build-Depends: debhelper-compat (= 13), texinfo, texlive-latex-recommended, texlive-plain-generic, texlive-fonts-recommended, emacs | emacs-nox, dh-elpa
Standards-Version: 4.7.0
Rules-Requires-Root: no
Vcs-Browser: https://salsa.debian.org/math-team/proofgeneral
Vcs-Git: https://salsa.debian.org/math-team/proofgeneral.git
Homepage: https://proofgeneral.github.io/

Package: proofgeneral
Architecture: all
Depends: ${misc:Depends}, ${elpa:Depends}, emacs
Suggests: proofgeneral-doc, prooftree
Replaces: proofgeneral-coq, proofgeneral-misc
Conflicts: proofgeneral-coq, proofgeneral-minlog, proofgeneral-misc
Description: generic frontend for proof assistants
 Proof General is a major mode to turn Emacs into an interactive proof
 assistant to write formal mathematical proofs using a variety of
 theorem provers. 
 .
 This package provides Proof General support for Coq. (There is no
 other proof assistant that one could sensibly support.)


Package: proofgeneral-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Breaks: proofgeneral (<< 4)
Replaces: proofgeneral (<< 4)
Recommends: info-browser | pdf-viewer | www-browser
Suggests: proofgeneral
Description: generic frontend for proof assistants - documentation
 Proof General is a major mode to turn Emacs into an interactive proof
 assistant to write formal mathematical proofs using a variety of
 theorem provers. 
 .
 This package provides the Proof General user manual in info, html and
 pdf form.
