=== debian/watch ===
version=4
https://github.com/ProofGeneral/PG/tags .*/v?([\d\.]+).tar.gz
